DS_PROTO_TRAVERSE_FUNC(3)

PROTO_FUNC
ds_PROTO_traverse_func - Process an occurrence of a divergence between two data structures

SYNOPSIS
#include <karma_ds.h>

flag ds_PROTO_traverse_func

(char *desc1, unsigned int type1, char *data1, char *desc2, unsigned int type2, char *data2)

DESCRIPTION
Process an occurrence of a divergence between two data structures

desc1
    One of the descriptors where the divergence occurred.

type1
    The type of the first descriptor. See <-ds_PARENT_TYPES-> for a list of possible values. The value IDENT_DIMENSION is not possible.

data
    The data for the first descriptor.

desc2
    The other descriptor where the divergence occurred.

type2
    The type of the other descriptor. See <-ds_PARENT_TYPES-> for a list of possible values. The value IDENT_DIMENSION is not possible.

data2
    The data for the other descriptor.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/